# Read user group This endpoint returns user group information for given group ID. Endpoint: GET /v3/companies/{companyId}/user-groups/{groupId} Version: v3 Security: Bearer ## Path parameters: - `companyId` (string, required) Company ID of the user group. Example: "1234a66b-7493-4f41-908c-58ba81093653" - `groupId` (string, required) Identifier for the user group. Example: "4974a66b-7493-4f41-908c-58ba81093947" ## Response 200 fields (application/json): - `id` (string, required) User group identifier. Example: "4974a66b-7493-4f41-908c-58ba81093947" - `name` (string, required) Name of the user group. Example: "Company Admins" - `description` (string, required) A description of the user group. Example: "Group for managing the company settings." - `companyId` (string, required) Company ID of the user group. Example: "1234a66b-7493-4f41-908c-58ba81093653" - `createdAt` (object, required) Date and time when the user group was created. - `createdAt.iso8601` (string, required) Example: "2017-07-21T17:32Z" - `updatedAt` (object, required) Date and time when the user group was last updated. - `createdBy` (object, required) User who created the user group. - `createdBy.id` (string, required) Example: "b93dc51f-12dd-46c7-b7d6-1cb12cd3f5b3" - `createdBy.name` (string) Example: "Name" - `updatedBy` (object, required) User who last updated the user group. - `isUnmodifiable` (boolean) Whether the group is not modifiable. This would be set true only for platform created groups. Only group name, description and assigned roles & scopes can not be modified but members can still be updated. ## Response 401 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 403 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 404 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error.